summaryrefslogtreecommitdiffstats
path: root/source/ap/hplip/hplip.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/hplip/hplip.SlackBuild')
-rwxr-xr-xsource/ap/hplip/hplip.SlackBuild16
1 files changed, 13 insertions, 3 deletions
diff --git a/source/ap/hplip/hplip.SlackBuild b/source/ap/hplip/hplip.SlackBuild
index 05f9e26c..a83ac9e6 100755
--- a/source/ap/hplip/hplip.SlackBuild
+++ b/source/ap/hplip/hplip.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=hplip
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -96,8 +96,18 @@ sed -i.env-python -e 's,^#!/usr/bin/env python,#!/usr/bin/python3,' \
prnt/filters/hpps \
fax/filters/pstotiff
-# libImageProcessor installation is fubar in 3.18.7:
-zcat $CWD/hplip.libImageProcessor.diff.gz | patch -p1 -l --verbose || exit 1
+# COMMENTED OUT: We aren't going to need this patch since the one below it
+# throws the blob into the bit bucket.
+## libImageProcessor installation is fubar in 3.18.7:
+#zcat $CWD/hplip.libImageProcessor.diff.gz | patch -p1 -l --verbose || exit 1
+
+# Forget it folks - this ImageProcessor closed-source blob is broken, and there
+# is no way to fix it. We will use this patch from Debian to remove it from
+# hplip, reverting to the way things worked in the 3.18.6 release. If HP ever
+# sees fit to make ImageProcessor mandatory, we'll likely stick with the last
+# hplip release that can be made to work without it, and any HP printers that
+# require a newer version of hplip will not be supported.
+zcat $CWD/0025-Remove-all-ImageProcessor-functionality-which-is-clo.patch.gz | patch -p1 -l --verbose || exit 1
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \